//
//  OrderPartsApplyLogisticsInfoCell.swift
//  VattiCSS
//
//  Created by WZR on 2023/9/18.
//

import UIKit

class OrderPartsApplyLogisticsInfoCell: UITableViewCell {
    @IBOutlet weak var lab_num: UILabel!
    @IBOutlet weak var lab_name: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
extension OrderPartsApplyLogisticsInfoCell: TCCell_RowCellUpdateProtocol {
    typealias DataSource = (String, String)
    typealias ConfigModel = Any
    
    func row_update(dataSource data: DataSource) {
        lab_name.cd.text(data.0)
        
        let txt = isEnglish() ? "Tracking Number" : "单号"
        lab_num.cd.text("\(txt)：\(data.1)")
    }
    
    func row_update(config data: ConfigModel) {
    }
    
    func row_update(callBack block: TCRowCallBack?) {
    }
}
